<!DOCTYPE html>
<html>
  <head>
    <title>TheFacebook</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <p class="flash"><%= flash.notice %></p>
    <% if current_user %>
      <%= link_to 'Sign out', destroy_user_session_path, method: :delete %>
    <% else %>
      <%= link_to 'Sign in', user_session_path %>
      <%= link_to 'Sign up', new_user_registration_path %>
    <% end %>
    <%= yield %>
  </body>
</html>
